Subject: LXX-lexicon

From: "johan lust" <[email-masked]>
Date: Mon, 28 Oct 96 11:31:02 CET

A Greek - English Lexicon of the Septuagint (LEH) part II is available !

For years after the publication of LEH I, the second and last volume of LEH 
is ready. It will be presented at the SBL Meeting in New Orleans, LA, U.S.A. 
(from 23 till 26 November 1996). The price of LEH II is 42 German Marks. It 
can be ordered by your local Bible Society. 
Full reference:	J.Lust, E.Eynikel, K.Hauspie, A Greek-English Lexicon of the 
Septuagint. Part II, Kappa-Omega, Deutsche Bibelgesellschaft Stuttgart, 1996; 
lxvi + 311 pages. ISBN 3-438-05126-7.

Johan Lust.